<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "RosterAPI",
  "identifier" : "/documentation/RosterAPI/returns-a-list-of-locations-for-an-Apple-School-Manager-organization",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Roster API"
    ],
    "preciseIdentifier" : "rest:roster_api:get:rosterapi-v1-locations"
  },
  "title" : "List locations"
}
-->

# List locations

Returns a list of locations in an Apple School Manager organization.

## Discussion

Access to the `locations` resource requires authorization to either the `edu.users.read` or `edu.classes.read` scope.

### Example

**Request:**

```
curl "https://api-school.apple.com/rosterapi/v1/locations?limit=1" -H "Authorization: Bearer ${TOKEN}"
```

**Response:**

```json
{
  "locations":[{"id":"1234","name":"Example Location","domain":"example.com","timeZone":"PST","dateCreated":"2020-07-06T20:32:00Z","dateLastModified":"2023-04-20T09:49:33.938397143Z"}],
  "nextPageToken":"XbdJJGHGTqnueAVPfw2XOA",
  "moreToFollow":true
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)